# Uses of Interface
org.eclipse.emf.cdo.lm.modules.DependencyDefinition

Packages that use DependencyDefinition
Package
Description
org.eclipse.emf.cdo.lm.modules
The generated EMF API of the CDO Lifecycle Management Modules model.
org.eclipse.emf.cdo.lm.modules.impl
The generated EMF implementation of the CDO Lifecycle Management Modules model.
org.eclipse.emf.cdo.lm.modules.provider
The generated EMF edit support of the CDO Lifecycle Management Modules model.
org.eclipse.emf.cdo.lm.modules.util
The generated EMF utilities of the CDO Lifecycle Management Modules model.

## Uses of DependencyDefinition in org.eclipse.emf.cdo.lm.modules

Methods in org.eclipse.emf.cdo.lm.modules that return DependencyDefinition
Modifier and Type
Method
Description
`DependencyDefinition`
ModulesFactory.`createDependencyDefinition()`
Returns a new object of class 'Dependency Definition'.
`DependencyDefinition`
ModulesFactory.`createDependencyDefinition(String targetName)`
`DependencyDefinition`
ModulesFactory.`createDependencyDefinition(String targetName, VersionRange versionRange)`
Methods in org.eclipse.emf.cdo.lm.modules that return types with arguments of type DependencyDefinition
Modifier and Type
Method
Description
`EList<DependencyDefinition>`
ModuleDefinition.`getDependencies()`
Returns the value of the 'Dependencies' containment reference list.

## Uses of DependencyDefinition in org.eclipse.emf.cdo.lm.modules.impl

Classes in org.eclipse.emf.cdo.lm.modules.impl that implement DependencyDefinition
Modifier and Type
Class
Description
`class`
`DependencyDefinitionImpl`
An implementation of the model object 'Dependency Definition'.
Methods in org.eclipse.emf.cdo.lm.modules.impl that return DependencyDefinition
Modifier and Type
Method
Description
`DependencyDefinition`
ModulesFactoryImpl.`createDependencyDefinition()`
`DependencyDefinition`
ModulesFactoryImpl.`createDependencyDefinition(String targetName)`
`DependencyDefinition`
ModulesFactoryImpl.`createDependencyDefinition(String targetName, VersionRange versionRange)`
Methods in org.eclipse.emf.cdo.lm.modules.impl that return types with arguments of type DependencyDefinition
Modifier and Type
Method
Description
`EList<DependencyDefinition>`
ModuleDefinitionImpl.`getDependencies()`

## Uses of DependencyDefinition in org.eclipse.emf.cdo.lm.modules.provider

Methods in org.eclipse.emf.cdo.lm.modules.provider with parameters of type DependencyDefinition
Modifier and Type
Method
Description
`Collection<String>`
DependencyDefinitionItemProvider.TargetNameProvider.`getTargetNames(DependencyDefinition dependency)`

## Uses of DependencyDefinition in org.eclipse.emf.cdo.lm.modules.util

Methods in org.eclipse.emf.cdo.lm.modules.util with parameters of type DependencyDefinition
Modifier and Type
Method
Description
`T`
ModulesSwitch.`caseDependencyDefinition(DependencyDefinition object)`
Returns the result of interpreting the object as an instance of 'Dependency Definition'.